Subject: Re: [RFC][GENETLINK] introduce command names

From: Thomas Graf <[email-masked]>
Date: Mon, 4 Dec 2006 17:34:51 +0100

* jamal <[email-masked]> 2006-12-04 08:09
> Just makes the discovery more knowledgeable. 
> Theres a hidden meaning in that i would like if possible to create
> as much of user space as possible without the user having a single line
> written. Heres how i output the discovered families at the moment
> without the patch.
> 
> -----
> hadi@lilsol:~/git-trees/iproute2/nov22/genl$ ./genl ctrl ls
> Added Family  Name: nlctrl
>         ID: 0x10  Version: 0x1  header size: 0  max attribs: 6 
>         commands supported: 
>                 #1:  ID-0x3  flags-0x0 
>                         Capabilities:  has policy; can doit; can dumpit
> 
> Added Family  Name: TASKSTATS
>         ID: 0x11  Version: 0x1  header size: 0  max attribs: 4 
>         commands supported: 
>                 #1:  ID-0x1  flags-0x0 
>                         Capabilities:  has policy; can doit;
> 
> hadi@lilsol:~/git-trees/iproute2/nov22/genl$ 
> -----------
> 
> It would be a lot more human friendly to put better readability in the
> commands.

I don't agree to waste so much text section just to fancy up some
userspace tool which is mainly a toy while developing. If you
really need it, do it in userspace like libnl.

> > Userspace should
> > be aware of operation numbers when using it. I'm all for this if
> > the direction is to move towards having some form of scriptable
> > genetlink tool which can be used to communicate with simple genetlink
> > families.
> > 
> 
> That is the real agenda actually. To be honest i dont know how realistic
> it would be. But one of the next things is to output the command
> policies.

Once we go that path we can reconsider a patch based on this which
includes the bits to dump the information to userspace. Until then
I don't see the point in this.